/***********************************************************************

 SV1Codec command line interface
 (header file)

 This file is a part of SV1Codec.
 SV1Codec is Copyright (C) 2002 by Marcin Grzegorczyk.

 Permission is granted to copy and redistribute this file under the
 terms of the Open Source MIT License. For more information please refer
 to the file sv1codec.c or to the SV1Codec documentation.

***********************************************************************/

#ifndef SV1C_CLI_H
#define SV1C_CLI_H

#include "sv1codec.h"
#include "sv1cui.h"


struct sCL_ProgParams {
  struct sOpParameters op;
  struct sFilesInfo fi;
  const char *game_title;
  Bool help_requested;
  enum eMessageOutputMode msg_mode;
};

PUBLIC_DECLARATION int CL_ParseCmdLine(struct sCL_ProgParams *const pparp, const char *const *argv);


#endif /* SV1C_CLI_H */

